using System;
using System.Collections.Generic;
using System.Text;

namespace ExWithMatrix
{
   public class Matrix
    {
        private int[,] mat;
        private int rowNum;
        private int colNum;

        public Matrix(int n, int size)
	{
        Random rnd = new Random();
		this.rowNum = size;
		this.colNum = size;
		this.mat = new int[size,size];
		for (int i=0; i<this.rowNum; i++)
		{
			for (int j=0; j<this.colNum; j++)
			{
				mat[i,j] = rnd.Next(n);
			}
		}
	}

        public void setElement(int row, int col, int value)
        {
            this.mat[row,col] = value;
        }

        public int sumRow(int row)
        {
            int sum = 0;
            for (int i = 0; i < this.colNum; i++)
            {
                sum += mat[row,i];
            }
            return sum;
        }

        public int sumCol(int col)
        {
            int sum = 0;
            for (int i = 0; i < this.rowNum; i++)
            {
                sum += mat[i,col];
            }
            return sum;
        }

        public int sumDiagonal1()
        {
            int sum = 0;
            for (int i = 0; i < this.rowNum; i++)
            {
                sum += mat[i,i];
            }
            return sum;
        }

        public int sumDiagonal2()
        {
            int sum = 0;
            for (int i = 0; i < this.rowNum; i++)
            {
                sum += mat[i,this.colNum - 1 - i];
            }
            return sum;
        }

        public Matrix tranverse()
        {
            Matrix tranv = new Matrix(1, this.rowNum);
            for (int i = 0; i < this.rowNum; i++)
            {
                for (int j = 0; j < this.colNum; j++)
                {
                    tranv.mat[i,j] = this.mat[j,i];
                }
            }
            return tranv;
        }

        public String toString()
        {
            String str = "";
            for (int i = 0; i < this.rowNum; i++)
            {
                for (int j = 0; j < this.colNum; j++)
                {
                    str += mat[i,j] + " ";
                }
                str += "\n";
            }
            return str;
        }

    }
}
